Subject: Re: Keeping ftp out of last

From: Wolfram Schmidt <[email-masked]>
Date: Thu, 02 Mar 1995 13:49:01 +0100

] Oddly enough, I've been having the exact opposite problem -- I *want* ftp
] entries to show up in the lastlog, and they're not.  I set _PATH_WTMP &tc.
] to point to the appropriate files in /var/adm before compiling, but no
] go...  This is under Solaris 2.4; I know that under 2.3, ftp entries in
] wtmp were often flakey, because of a bug in the way Solaris handled utmp;
] has the utmpd fix in 2.4 broken ftp entries altogether?  Or is there
] something incredibly obvious that I'm missing?...
] 
] Thanks for any info anyone can give...

Have you tried this Patch?

wu-ftpd.diff.gz         - patch for wu-ftpd 2.4 (adds wtmpx logging)

(by Casper Dik ([email-masked]))

ftp://ftp.fwi.uva.nl/pub/solaris/wu-ftpd.diff.gz

-Wolfram

-- 
Email: [email-masked]
Voice: +49 711 970 2431, +49 711 121 3806
Fax: +49 711 970 2401
Office: Fraunhofer-Institut IAO, Holzgartenstr. 17, 70174 Stuttgart, Germany